# Interface AsyncCallback.StringCallback

All Superinterfaces:
  `AsyncCallback`

All Known Implementing Classes:
  `SimpleClient`

Enclosing interface:
  `AsyncCallback`

@Public public static interface AsyncCallback.StringCallback extends AsyncCallback
This callback is used to retrieve the name of the node.

## Nested Class Summary

### Nested classes/interfaces inherited from interface AsyncCallback

`AsyncCallback.ACLCallback, AsyncCallback.AllChildrenNumberCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.Create2Callback, AsyncCallback.DataCallback, AsyncCallback.EphemeralsCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback`

## Method Summary

Modifier and Type
Method
Description
`void`
`processResult(int rc, String path, Object ctx, String name)`
Process the result of the asynchronous call.

## Method Details

### processResult

void processResult(int rc, String path, Object ctx, String name)
Process the result of the asynchronous call.

On success, rc is `KeeperException.Code.OK`.

On failure, rc is set to the corresponding failure code in `KeeperException`.

- `KeeperException.Code.NODEEXISTS` - The node on give path already exists for some API calls.
- `KeeperException.Code.NONODE` - The node on given path doesn't exist for some API calls.
- `KeeperException.Code.NOCHILDRENFOREPHEMERALS` - An ephemeral node cannot have children. There is discussion in community. It might be changed in the future.

Parameters:
  `rc` - The return code or the result of the call.
  `path` - The path that we passed to asynchronous calls.
  `ctx` - Whatever context object that we passed to asynchronous calls.
  `name` - The name of the znode that was created. On success, name and path are usually equal, unless a sequential node has been created.
See Also:
  - `ZooKeeper.create(String, byte[], List, CreateMode, AsyncCallback.StringCallback, Object)`